import java.awt.*;
public class DrawningRoundBlocks implements IDrawBlocks {
    private BlocksNumber number;

    @Override
    public void setNumber(int x) {
        if (x <= 2)
            number = BlocksNumber.TWO;
        if (x == 4)
            number = BlocksNumber.FOUR;
        if (x >= 6)
            number = BlocksNumber.SIX;
    }

    @Override
    public void drawBlocks(Graphics2D graphics2D, int _startX, int _startY){
        graphics2D.fillOval(_startX+45, _startY+15, 8, 8);
        graphics2D.fillOval(_startX+45, _startY+50, 8, 8);
        if (number == BlocksNumber.FOUR || number == BlocksNumber.SIX){
            graphics2D.fillOval(_startX+55, _startY+15, 8, 8);
            graphics2D.fillOval(_startX+55, _startY+50, 8, 8);
            if (number == BlocksNumber.SIX){
                graphics2D.fillOval(_startX+35, _startY+15, 8, 8);
                graphics2D.fillOval(_startX+35, _startY+50, 8, 8);
            }
        }
    }
}
